be.fgov.ehealth.rn.baselegaldata.v1

## Class MinimalAddressType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.MinimalAddressType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class MinimalAddressType
      extends Object
      implements Serializable

  Java class for MinimalAddressType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MinimalAddressType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element name="ResidentialAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ResidentialAddressOptionalInceptionDateType" minOccurs="0"/>
                 <element name="ReferenceAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ResidentialAddressOptionalInceptionDateType" minOccurs="0"/>
                 <sequence>
                   <element name="DiplomaticPost" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DiplomaticPostType" minOccurs="0"/>
                   <element name="DiplomaticAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PlainAddressOptionalInceptionDateType" minOccurs="0"/>
                   <element name="PostAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PlainAddressOptionalInceptionDateType" minOccurs="0"/>
                 </sequence>
               </choice>
               <element name="TemporaryAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PlainAddressOptionalInceptionDateType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinimalAddressType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlainAddressOptionalInceptionDateType` | `getDiplomaticAddress()` Gets the value of the diplomaticAddress property.
    `DiplomaticPostType` | `getDiplomaticPost()` Gets the value of the diplomaticPost property.
    `PlainAddressOptionalInceptionDateType` | `getPostAddress()` Gets the value of the postAddress property.
    `ResidentialAddressOptionalInceptionDateType` | `getReferenceAddress()` Gets the value of the referenceAddress property.
    `ResidentialAddressOptionalInceptionDateType` | `getResidentialAddress()` Gets the value of the residentialAddress property.
    `PlainAddressOptionalInceptionDateType` | `getTemporaryAddress()` Gets the value of the temporaryAddress property.
    `void` | `setDiplomaticAddress(PlainAddressOptionalInceptionDateType value)` Sets the value of the diplomaticAddress property.
    `void` | `setDiplomaticPost(DiplomaticPostType value)` Sets the value of the diplomaticPost property.
    `void` | `setPostAddress(PlainAddressOptionalInceptionDateType value)` Sets the value of the postAddress property.
    `void` | `setReferenceAddress(ResidentialAddressOptionalInceptionDateType value)` Sets the value of the referenceAddress property.
    `void` | `setResidentialAddress(ResidentialAddressOptionalInceptionDateType value)` Sets the value of the residentialAddress property.
    `void` | `setTemporaryAddress(PlainAddressOptionalInceptionDateType value)` Sets the value of the temporaryAddress property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinimalAddressType

          public MinimalAddressType()

  - ### Method Detail

    - #### getDiplomaticPost

          public DiplomaticPostType getDiplomaticPost()

      Gets the value of the diplomaticPost property.
      Returns:
        possible object is `DiplomaticPostType`

    - #### setDiplomaticPost

          public void setDiplomaticPost(DiplomaticPostType value)

      Sets the value of the diplomaticPost property.
      Parameters:
        `value` - allowed object is `DiplomaticPostType`

    - #### getDiplomaticAddress

          public PlainAddressOptionalInceptionDateType getDiplomaticAddress()

      Gets the value of the diplomaticAddress property.
      Returns:
        possible object is `PlainAddressOptionalInceptionDateType`

    - #### setDiplomaticAddress

          public void setDiplomaticAddress(PlainAddressOptionalInceptionDateType value)

      Sets the value of the diplomaticAddress property.
      Parameters:
        `value` - allowed object is `PlainAddressOptionalInceptionDateType`

    - #### getPostAddress

          public PlainAddressOptionalInceptionDateType getPostAddress()

      Gets the value of the postAddress property.
      Returns:
        possible object is `PlainAddressOptionalInceptionDateType`

    - #### setPostAddress

          public void setPostAddress(PlainAddressOptionalInceptionDateType value)

      Sets the value of the postAddress property.
      Parameters:
        `value` - allowed object is `PlainAddressOptionalInceptionDateType`

    - #### getReferenceAddress

          public ResidentialAddressOptionalInceptionDateType getReferenceAddress()

      Gets the value of the referenceAddress property.
      Returns:
        possible object is `ResidentialAddressOptionalInceptionDateType`

    - #### setReferenceAddress

          public void setReferenceAddress(ResidentialAddressOptionalInceptionDateType value)

      Sets the value of the referenceAddress property.
      Parameters:
        `value` - allowed object is `ResidentialAddressOptionalInceptionDateType`

    - #### getResidentialAddress

          public ResidentialAddressOptionalInceptionDateType getResidentialAddress()

      Gets the value of the residentialAddress property.
      Returns:
        possible object is `ResidentialAddressOptionalInceptionDateType`

    - #### setResidentialAddress

          public void setResidentialAddress(ResidentialAddressOptionalInceptionDateType value)

      Sets the value of the residentialAddress property.
      Parameters:
        `value` - allowed object is `ResidentialAddressOptionalInceptionDateType`

    - #### getTemporaryAddress

          public PlainAddressOptionalInceptionDateType getTemporaryAddress()

      Gets the value of the temporaryAddress property.
      Returns:
        possible object is `PlainAddressOptionalInceptionDateType`

    - #### setTemporaryAddress

          public void setTemporaryAddress(PlainAddressOptionalInceptionDateType value)

      Sets the value of the temporaryAddress property.
      Parameters:
        `value` - allowed object is `PlainAddressOptionalInceptionDateType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.